## qutip 4.4.1

=== requirements.txt ===
cython>=0.21
numpy>=1.12
scipy>=1.0

=== debian/changelog ===
qutip (4.4.1-6build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:25:22 +0100

qutip (4.4.1-6) unstable; urgency=medium

  * run debian/tests (autopkgtest) only on amd64

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2019 22:23:26 +0800

qutip (4.4.1-5) unstable; urgency=medium

  * python3-qutip Depends: python3-dev, g++ (not gcc).
  * debian/tests Depends: python3-all-dev
  * debian patch fix_test_control_pulseoptim_setup.patch fixes pytest
    API for test setup/teardown in test_control_pulseoptim.py

 -- Drew Parsons <dparsons@debian.org>  Sun, 01 Dec 2019 22:25:31 +0800

qutip (4.4.1-4) unstable; urgency=medium

  * python3-qutip Depends: gcc. Needed but not automatically installed
    by cython. qutip generates cython code at runtime
    e.g. QobjEvo used in sesolve.py. Closes: #945608.
  * ignore build-time test errors on non-amd64 architectures

 -- Drew Parsons <dparsons@debian.org>  Sat, 30 Nov 2019 19:21:56 +0800

qutip (4.4.1-3) unstable; urgency=medium

  * Build-Depends: python3-all-dev
  * debian/tests Depends: python3-numpy, python3-scipy, cython3

 -- Drew Parsons <dparsons@debian.org>  Tue, 19 Nov 2019 23:40:17 +0800

qutip (4.4.1-2) unstable; urgency=medium

  * Register qutip/qip/circuit_latex.py in debian/copyright to
    acknowledge gpl-2.0 copyright of Q-circuit LaTeX script embedded
    in the Python code (the Python code itself is BSD-3).

 -- Drew Parsons <dparsons@debian.org>  Wed, 13 Nov 2019 13:46:09 +0800

qutip (4.4.1-1) unstable; urgency=medium

  * New upstream release.
  * update Maintainer to the Debian Science team
  * Standards-Version: 4.4.1
  * Build with OpenMP support.

 -- Drew Parsons <dparsons@debian.org>  Tue, 29 Oct 2019 02:39:11 +0800

qutip (4.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #928287)

 -- Drew Parsons <dparsons@debian.org>  Sun, 05 May 2019 12:42:45 +0800

=== debian/control ===
Source: qutip
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>
Build-Depends: debhelper-compat (= 12),
    dh-python,
    python3-all,
    python3-all-dev,
    python3-setuptools,
    cython3 (>=0.21),
    python3-numpy (>=1.12),
    python3-scipy (>=1.0),
    python3-nose
Standards-Version: 4.4.1
Homepage: http://qutip.org/
Vcs-Browser: https://salsa.debian.org/science-team/qutip
Vcs-Git: https://salsa.debian.org/science-team/qutip.git

Package: python3-qutip
Architecture: any
Depends: g++, python3-dev, ${python3:Depends},
 ${misc:Depends}, ${shlibs:Depends}
Description: python package for simulating the dynamics of open quantum systems
 QuTiP is open-source software for simulating the dynamics of open
 quantum systems. The QuTiP library depends on the excellent Numpy,
 Scipy, and Cython numerical packages. In addition, graphical output
 is provided by Matplotlib. QuTiP aims to provide user-friendly and
 efficient numerical simulations of a wide variety of Hamiltonians,
 including those with arbitrary time-dependence, commonly found in a
 wide range of physics applications such as quantum optics, trapped
 ions, superconducting circuits, and quantum nanomechanical
 resonators.
 .
 This package installs the library for Python 3.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=qutip

export PYBUILD_BUILD_ARGS=--with-openmp

%:
	dh $@ --with python3 --buildsystem=pybuild

ifneq ($(DEB_HOST_ARCH_OS),amd64)
override_dh_auto_test:
	dh_auto_test || /bin/true
endif

# setup.py clean creates build files instead of removing them
# https://github.com/qutip/qutip/issues/986
override_dh_auto_clean:
	dh_auto_clean
	rm -f qutip/control/*cpp qutip/cy/*.cpp qutip/version.py


override_dh_fixperms:
	dh_fixperms
	for f in openmp/benchmark.pyx openmp/src/zspmv_openmp.hpp src/zspmv.hpp; do \
	  chmod a-x debian/python3-qutip/usr/lib/python3/dist-packages/qutip/cy/$$f; \
	done

=== debian/tests/control ===
Tests: test-qutip
Depends: python3-all-dev,
         python3-qutip,
         python3-pytest,
	 python3-numpy,
	 python3-scipy,
	 cython3

## qutip 4.5.2

=== debian/changelog ===
qutip (4.5.2-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 02 Aug 2020 19:21:51 +0800

qutip (4.5.1-1) unstable; urgency=medium

  * New upstream release.
  * debhelper compatibility level 13

 -- Drew Parsons <dparsons@debian.org>  Fri, 22 May 2020 13:19:11 +0800

qutip (4.5.0-3) unstable; urgency=medium

  * disable build-time tests on mip64el
    (times out on test_ssesolve_homodyne_methods)

 -- Drew Parsons <dparsons@debian.org>  Tue, 17 Mar 2020 23:47:54 +0800

qutip (4.5.0-2) unstable; urgency=medium

  * [Build-]Depends: python3-matplotlib (and in debian/tests also)

 -- Drew Parsons <dparsons@debian.org>  Fri, 13 Mar 2020 21:28:19 +0800

qutip (4.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Standards-Version: 4.5.0
  * Build-Depends: python3-nose2 not python3-nose
    - override dh_auto_test to use nose2
  * Build-Depends: python3-pytest (imported explicitly by some tests)
  * debian patch fix_exception.patch ensures an Exception e is defined
    when generated code fails to import.

 -- Drew Parsons <dparsons@debian.org>  Tue, 10 Mar 2020 11:05:11 +0800

=== debian/control ===
--- 
+++ 
@@ -3,23 +3,25 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
     dh-python,
     python3-all,
     python3-all-dev,
     python3-setuptools,
     cython3 (>=0.21),
+    python3-matplotlib,
     python3-numpy (>=1.12),
     python3-scipy (>=1.0),
-    python3-nose
-Standards-Version: 4.4.1
+    python3-nose2,
+    python3-pytest
+Standards-Version: 4.5.0
 Homepage: http://qutip.org/
 Vcs-Browser: https://salsa.debian.org/science-team/qutip
 Vcs-Git: https://salsa.debian.org/science-team/qutip.git
 
 Package: python3-qutip
 Architecture: any
-Depends: g++, python3-dev, ${python3:Depends},
+Depends: g++, python3-dev, python3-matplotlib, ${python3:Depends},
  ${misc:Depends}, ${shlibs:Depends}
 Description: python package for simulating the dynamics of open quantum systems
  QuTiP is open-source software for simulating the dynamics of open

## qutip 4.5.3

=== debian/changelog ===
qutip (4.5.3-1) unstable; urgency=medium

  * New upstream release.
    - expected to help future upgrades to numpy 1.20.

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Mar 2021 12:12:58 +0100

qutip (4.5.2-2) unstable; urgency=medium

  * debian patch sparse_matrix_explicit_dtype_1452.patch applies
    upstream PR#1452 to explicitly set dtype=np.complex128 when
    constructing scipy.sparse matrices with csr_matrix. Required for
    working with scipy 1.6.1. Closes: #983397.
  * Standards-Version: 4.5.1

 -- Drew Parsons <dparsons@debian.org>  Wed, 24 Feb 2021 19:55:30 +0100

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
     python3-scipy (>=1.0),
     python3-nose2,
     python3-pytest
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: http://qutip.org/
 Vcs-Browser: https://salsa.debian.org/science-team/qutip
 Vcs-Git: https://salsa.debian.org/science-team/qutip.git

=== debian/rules ===
--- 
+++ 
@@ -7,13 +7,39 @@
 
 export PYBUILD_BUILD_ARGS=--with-openmp
 
+# disable build tests for these arches:
+# mips64el consistently times out on test_ssesolve_homodyne_methods
+ARCH_NO_TEST_LIST = mips64el
+
+empty :=
+space := $(empty)$(empty)
+
+# run tests, or not
+RUNTEST=yes
+ifneq (,$(findstring $(space)$(DEB_HOST_ARCH)$(space), $(space)$(ARCH_NO_TEST_LIST)$(space)))
+  RUNTEST=no
+endif
+ifneq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+  RUNTEST=no
+endif
+
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-ifneq ($(DEB_HOST_ARCH_OS),amd64)
 override_dh_auto_test:
-	dh_auto_test || /bin/true
-endif
+	if [ "$(RUNTEST)" = "no" ]; then \
+	  echo Build tests have been disabled; \
+	else \
+	for PY3 in `py3versions -s -v`; do \
+	  echo "--- Testing with python$$PY3 ---"; \
+	  builddir=`pybuild -p $$PY3 --print build_dir | awk '{print $$3}'`; \
+	  testdir=$${builddir}-test; \
+	  cp -ra $$builddir $$testdir; \
+	  cd $$testdir; \
+	  PYTHONPATH=$$testdir python$$PY3 -m nose2 -v; \
+	  cd $(CURDIR); \
+	done || /bin/true; \
+	fi
 
 # setup.py clean creates build files instead of removing them
 # https://github.com/qutip/qutip/issues/986
@@ -21,7 +47,6 @@
 	dh_auto_clean
 	rm -f qutip/control/*cpp qutip/cy/*.cpp qutip/version.py
 
-
 override_dh_fixperms:
 	dh_fixperms
 	for f in openmp/benchmark.pyx openmp/src/zspmv_openmp.hpp src/zspmv.hpp; do \

=== debian/tests/control ===
Tests: test-qutip
Depends: python3-all-dev,
         python3-qutip,
         python3-pytest,
         python3-matplotlib,
	 python3-numpy,
	 python3-scipy,
	 cython3

## qutip 4.6.2

=== requirements.txt ===
cython>=0.21
numpy>=1.12
scipy>=1.0
packaging

=== doc/requirements.txt ===
alabaster==0.7.12
appnope==0.1.2
Babel==2.9.0
backcall==0.2.0
certifi==2020.12.5
chardet==4.0.0
cycler==0.10.0
Cython==0.29.23
decorator==5.0.7
docutils==0.16
idna==2.10
imagesize==1.2.0
ipython==7.22.0
ipython-genutils==0.2.0
jedi==0.18.0
Jinja2==2.11.3
kiwisolver==1.3.1
MarkupSafe==1.1.1
matplotlib==3.3.4
numpy==1.19.5
numpydoc==1.1.0
packaging==20.9
parso==0.8.2
pexpect==4.8.0
pickleshare==0.7.5
Pillow==8.2.0
prompt-toolkit==3.0.18
ptyprocess==0.7.0
Pygments==2.8.1
pyparsing==2.4.7
python-dateutil==2.8.1
pytz==2021.1
requests==2.25.1
scipy==1.6.2
six==1.15.0
snowballstemmer==2.1.0
Sphinx==3.5.4
sphinx-gallery==0.8.2
sphinx-rtd-theme==0.5.2
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
traitlets==5.0.5
urllib3==1.26.4
wcwidth==0.2.5

=== debian/changelog ===
qutip (4.6.2-3build1) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:19:36 +0000

qutip (4.6.2-3) unstable; urgency=medium

  * debian patch build_any_numpy_PR1747.patch applies upstream PR1747
    to drop the numpy<1.20 version constraint. Closes: #999517.
  * debian/rules: run dh_numpy3 after dh_python3

 -- Drew Parsons <dparsons@debian.org>  Wed, 05 Jan 2022 15:23:28 +0100

qutip (4.6.2-2) unstable; urgency=medium

  * replace debian patch test_plot_close.patch with official upstream
    PR#1648. Closes specific test plot, not "all" plots.
  * Standards-Version: 4.6.0

 -- Drew Parsons <dparsons@debian.org>  Tue, 31 Aug 2021 16:27:37 +0200

qutip (4.6.2-1) unstable; urgency=medium

  * New upstream release.
    - deprecates debian patches fix_test_control_pulseoptim_setup.patch
      and sparse_matrix_explicit_dtype_1452.patch
    - update versioned Build-Depends
       cython3 (>= 0.29.20~),
       python3-matplotlib (>= 1.2.1~),
       python3-numpy (>= 1.16.6~),
       python3-pytest (>= 5.2~)
  * Build-Depends: python3-cvxopt
    (for semidefinite options)
  * Run tests using qutip's own test methods rather than nose or pytest
  * debian patch test_plot_close.patch ensures plots are closed after
    testing, to avoid an XIO (Xvfb) error. See upstream Issue #1639.

 -- Drew Parsons <dparsons@debian.org>  Wed, 18 Aug 2021 00:04:38 +0200

=== debian/control ===
--- 
+++ 
@@ -8,13 +8,14 @@
     python3-all,
     python3-all-dev,
     python3-setuptools,
-    cython3 (>=0.21),
-    python3-matplotlib,
-    python3-numpy (>=1.12),
+    cython3 (>= 0.29.20~),
+    python3-cvxopt,
+    python3-matplotlib (>= 1.2.1~),
+    python3-numpy (>= 1.16.6~),
     python3-scipy (>=1.0),
     python3-nose2,
-    python3-pytest
-Standards-Version: 4.5.1
+    python3-pytest (>= 5.2~)
+Standards-Version: 4.6.0
 Homepage: http://qutip.org/
 Vcs-Browser: https://salsa.debian.org/science-team/qutip
 Vcs-Git: https://salsa.debian.org/science-team/qutip.git

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	  testdir=$${builddir}-test; \
 	  cp -ra $$builddir $$testdir; \
 	  cd $$testdir; \
-	  PYTHONPATH=$$testdir python$$PY3 -m nose2 -v; \
+	  PYTHONPATH=$$testdir python$$PY3 -c "import qutip.testing; qutip.testing.run()"; \
 	  cd $(CURDIR); \
 	done || /bin/true; \
 	fi
@@ -52,3 +52,6 @@
 	for f in openmp/benchmark.pyx openmp/src/zspmv_openmp.hpp src/zspmv.hpp; do \
 	  chmod a-x debian/python3-qutip/usr/lib/python3/dist-packages/qutip/cy/$$f; \
 	done
+
+execute_after_dh_python3:
+	dh_numpy3

## qutip 4.7.0

=== doc/requirements.txt ===
alabaster==0.7.12
appnope==0.1.2
Babel==2.9.1
backcall==0.2.0
certifi==2020.12.5
chardet==4.0.0
cycler==0.10.0
Cython==0.29.23
decorator==5.0.7
docutils==0.16
idna==2.10
imagesize==1.2.0
ipython==7.31.1
ipython-genutils==0.2.0
jedi==0.18.0
Jinja2==2.11.3
kiwisolver==1.3.1
MarkupSafe==1.1.1
matplotlib==3.3.4
numpy==1.21.0
numpydoc==1.1.0
packaging==20.9
parso==0.8.2
pexpect==4.8.0
pickleshare==0.7.5
Pillow==9.0.1
prompt-toolkit==3.0.18
ptyprocess==0.7.0
Pygments==2.8.1
pyparsing==2.4.7
python-dateutil==2.8.1
pytz==2021.1
requests==2.25.1
scipy==1.6.2
six==1.15.0
snowballstemmer==2.1.0
Sphinx==3.5.4
sphinx-gallery==0.8.2
sphinx-rtd-theme==0.5.2
sphinxcontrib-applehelp==1.0.2
sphinxcontrib-bibtex==2.4.1
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==1.0.3
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.4
traitlets==5.0.5
urllib3==1.26.5
wcwidth==0.2.5
wheel==0.37.0

=== debian/changelog ===
qutip (4.7.0-3) unstable; urgency=medium

  * skip build-time tests on armel. Tests run slow (>24 hrs) and
    ultimately test_pseudo_inverse[dense_numpy] segfaults

 -- Drew Parsons <dparsons@debian.org>  Wed, 27 Apr 2022 13:23:56 +0200

qutip (4.7.0-2) unstable; urgency=medium

  * provide documentation in the python-qutip-doc package
    - docs are licensed with a Creative Commons cc-by-3.0 licence.
    - debian patch local_mathjax.patch configures doc build to use
      local mathjax.
    - set HOME to build dir to avoid "/nonexistent not a writable
      directory" when building docs in chroot (also for build tests)
    - Build-Depends-Indep: libjs-mathjax, python3-ipython,
      python3-numpydoc, python3-sphinx-gallery,
      python3-sphinx-rtd-theme, python3-sphinxcontrib.bibtex
  * debian patch pytest_options.patch allows pytest options to be
    provided to qutip.testing.run()
    - skip test_qubit[power-gmres], which fails to converge in chroot
      both in build and in debci
  * drop Build-Depends: pybuild-plugin-pyproject. PEP517 build is not
    compatible with --with-openmp config option (upstream Issue#1875)
  * run dh_numpy3 after dh_python3

 -- Drew Parsons <dparsons@debian.org>  Mon, 25 Apr 2022 11:09:04 +0200

qutip (4.7.0-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches build_any_numpy_PR1747.patch
      and test_plot_close.patch
  * Build-Depends: pybuild-plugin-pyproject
    to build with pyproject.toml (PEP517)
  * debian/rules: replace override_ with execute_after_

 -- Drew Parsons <dparsons@debian.org>  Sat, 23 Apr 2022 14:03:23 +0200

=== debian/control ===
--- 
+++ 
@@ -4,17 +4,24 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
-    dh-python,
-    python3-all,
-    python3-all-dev,
-    python3-setuptools,
-    cython3 (>= 0.29.20~),
-    python3-cvxopt,
-    python3-matplotlib (>= 1.2.1~),
-    python3-numpy (>= 1.16.6~),
-    python3-scipy (>=1.0),
-    python3-nose2,
-    python3-pytest (>= 5.2~)
+ dh-python,
+ python3-all,
+ python3-all-dev,
+ python3-setuptools,
+ cython3 (>= 0.29.20~),
+ python3-cvxopt,
+ python3-matplotlib (>= 1.2.1~),
+ python3-numpy (>= 1.16.6~),
+ python3-scipy (>=1.0),
+ python3-nose2,
+ python3-pytest (>= 5.2~),
+ python3-sphinx
+Build-Depends-Indep: libjs-mathjax,
+ python3-ipython,
+ python3-numpydoc,
+ python3-sphinx-gallery,
+ python3-sphinx-rtd-theme,
+ python3-sphinxcontrib.bibtex
 Standards-Version: 4.6.0
 Homepage: http://qutip.org/
 Vcs-Browser: https://salsa.debian.org/science-team/qutip
@@ -24,6 +31,7 @@
 Architecture: any
 Depends: g++, python3-dev, python3-matplotlib, ${python3:Depends},
  ${misc:Depends}, ${shlibs:Depends}
+Suggests: python-qutip-doc
 Description: python package for simulating the dynamics of open quantum systems
  QuTiP is open-source software for simulating the dynamics of open
  quantum systems. The QuTiP library depends on the excellent Numpy,
@@ -36,3 +44,21 @@
  resonators.
  .
  This package installs the library for Python 3.
+
+Package: python-qutip-doc
+Architecture: all
+Depends: libjs-mathjax, ${sphinxdoc:Depends},
+ ${python3:Depends}, ${misc:Depends}
+Recommends: python3-qutip
+Description: python package for simulating open quantum systems (docs)
+ QuTiP is open-source software for simulating the dynamics of open
+ quantum systems. The QuTiP library depends on the excellent Numpy,
+ Scipy, and Cython numerical packages. In addition, graphical output
+ is provided by Matplotlib. QuTiP aims to provide user-friendly and
+ efficient numerical simulations of a wide variety of Hamiltonians,
+ including those with arbitrary time-dependence, commonly found in a
+ wide range of physics applications such as quantum optics, trapped
+ ions, superconducting circuits, and quantum nanomechanical
+ resonators.
+ .
+ This package provides documentation for QuTiP.

=== debian/rules ===
--- 
+++ 
@@ -7,9 +7,12 @@
 
 export PYBUILD_BUILD_ARGS=--with-openmp
 
+PY3VER_DEFAULT=$(shell py3versions -d -v)
+
 # disable build tests for these arches:
 # mips64el consistently times out on test_ssesolve_homodyne_methods
-ARCH_NO_TEST_LIST = mips64el
+# armel tests run slow (>24 hrs) and ultimately test_pseudo_inverse[dense_numpy] segfaults
+ARCH_NO_TEST_LIST = mips64el armel
 
 empty :=
 space := $(empty)$(empty)
@@ -24,7 +27,15 @@
 endif
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+
+execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
+execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
+execute_after_dh_auto_build-indep:
+	mkdir -p $(CURDIR)/.pybuild/doc
+	HOME=$(CURDIR)/.pybuild/doc \
+	 PYTHONPATH=$(CURDIR)/.pybuild/cpython3_$(PY3VER_DEFAULT)_$(PYBUILD_NAME)/build \
+	 make -C doc  html  BUILDDIR=$(CURDIR)/.pybuild/doc
 
 override_dh_auto_test:
 	if [ "$(RUNTEST)" = "no" ]; then \
@@ -36,22 +47,20 @@
 	  testdir=$${builddir}-test; \
 	  cp -ra $$builddir $$testdir; \
 	  cd $$testdir; \
-	  PYTHONPATH=$$testdir python$$PY3 -c "import qutip.testing; qutip.testing.run()"; \
+	  HOME=$(CURDIR)/.pybuild PYTHONPATH=$$testdir python$$PY3 -c "import qutip.testing; qutip.testing.run(pytest_options=[['-k', 'not test_qubit[power-gmres]']])"; \
 	  cd $(CURDIR); \
 	done || /bin/true; \
 	fi
 
 # setup.py clean creates build files instead of removing them
 # https://github.com/qutip/qutip/issues/986
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -f qutip/control/*cpp qutip/cy/*.cpp qutip/version.py
 
-override_dh_fixperms:
-	dh_fixperms
+execute_after_dh_python3:
+	dh_numpy3
+
+execute_after_dh_fixperms-arch:
 	for f in openmp/benchmark.pyx openmp/src/zspmv_openmp.hpp src/zspmv.hpp; do \
 	  chmod a-x debian/python3-qutip/usr/lib/python3/dist-packages/qutip/cy/$$f; \
 	done
-
-execute_after_dh_python3:
-	dh_numpy3

## qutip 4.7.1

=== requirements.txt ===
cython>=0.29.20
numpy>=1.16.6
scipy>=1.0
packaging

=== doc/requirements.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 appnope==0.1.2
 Babel==2.9.1
 backcall==0.2.0
-certifi==2020.12.5
+certifi==2022.12.7
 chardet==4.0.0
 cycler==0.10.0
 Cython==0.29.23
@@ -17,13 +17,13 @@
 kiwisolver==1.3.1
 MarkupSafe==1.1.1
 matplotlib==3.3.4
-numpy==1.21.0
+numpy==1.22.0
 numpydoc==1.1.0
 packaging==20.9
 parso==0.8.2
 pexpect==4.8.0
 pickleshare==0.7.5
-Pillow==9.0.1
+Pillow==9.3.0
 prompt-toolkit==3.0.18
 ptyprocess==0.7.0
 Pygments==2.8.1

=== debian/changelog ===
qutip (4.7.1-2) unstable; urgency=medium

  * Build-Depends: python3-ipython for tests (test_repr_svg)
  * debian/tests: limit thread parallelisation to no more than 4 cpus
    in order to avoid timing out in debci tests (assuming tests are too
    small to efficiently use the 64 cpus available on debci).
    But respect the value of QUTIP_NUM_PROCESSES if already set.

 -- Drew Parsons <dparsons@debian.org>  Tue, 03 Jan 2023 12:36:53 +0100

qutip (4.7.1-1) unstable; urgency=medium

  * New upstream release.
    - updated for Python 3.11. Closes: #1027488
  * Build-Depends: pybuild-plugin-pyproject to use pyoproject.toml
    Apply --with-openmp build option in wheels (PEP517) build via
    --config-setting="--build-option=--with-openmp". Closes: #1017768.
  * run debian/tests over all supported python versions
  * Standards-Version: 4.6.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 02 Jan 2023 13:43:00 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders: Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-all-dev,
  python3-setuptools,
@@ -14,6 +15,7 @@
  python3-numpy (>= 1.16.6~),
  python3-scipy (>=1.0),
  python3-nose2,
+ python3-ipython <!nocheck>,
  python3-pytest (>= 5.2~),
  python3-sphinx
 Build-Depends-Indep: libjs-mathjax,
@@ -22,7 +24,7 @@
  python3-sphinx-gallery,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.bibtex
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: http://qutip.org/
 Vcs-Browser: https://salsa.debian.org/science-team/qutip
 Vcs-Git: https://salsa.debian.org/science-team/qutip.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 
 export PYBUILD_NAME=qutip
 
-export PYBUILD_BUILD_ARGS=--with-openmp
+export PYBUILD_BUILD_ARGS=--config-setting="--build-option=--with-openmp"
 
 PY3VER_DEFAULT=$(shell py3versions -d -v)

## qutip 4.7.5

=== requirements.txt ===
cython>=0.29.20,<3.0.0
numpy>=1.16.6
scipy>=1.0
packaging

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/QuTiP.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/QuTiP.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/QuTiP"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/QuTiP"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== doc/requirements.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 docutils==0.16
 idna==2.10
 imagesize==1.2.0
-ipython==7.31.1
+ipython==8.10.0
 ipython-genutils==0.2.0
 jedi==0.18.0
 Jinja2==2.11.3
@@ -24,14 +24,14 @@
 pexpect==4.8.0
 pickleshare==0.7.5
 Pillow==9.3.0
-prompt-toolkit==3.0.18
+prompt-toolkit==3.0.36
 ptyprocess==0.7.0
 Pygments==2.8.1
 pyparsing==2.4.7
 python-dateutil==2.8.1
 pytz==2021.1
-requests==2.25.1
-scipy==1.6.2
+requests==2.28.2
+scipy==1.10.0
 six==1.15.0
 snowballstemmer==2.1.0
 Sphinx==3.5.4
@@ -47,4 +47,4 @@
 traitlets==5.0.5
 urllib3==1.26.5
 wcwidth==0.2.5
-wheel==0.37.0
+wheel==0.38.1

=== debian/changelog ===
qutip (4.7.5-2build1) noble; urgency=medium

  * No-change rebuild with Python 3.12 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 10 Apr 2024 18:03:02 +0000

qutip (4.7.5-2) unstable; urgency=medium

  * debian/tests: ignore message in stderr that cython compilation
    does not work on Python 3.12

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Feb 2024 15:18:12 +0100

qutip (4.7.5-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patch python3.12_no_cython_support.patch

 -- Drew Parsons <dparsons@debian.org>  Mon, 19 Feb 2024 14:23:44 +0100

qutip (4.7.3-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: cython3-legacy. Closes: #1056880.
    - versioned (>= 0.29.36) for Python 3.12. Closes: #1056517.
    - also Depends: cython3-legacy in debian/tests/control
  * update debian/tests
    - print timings of 20 slowest tests
    - reduce test verbosity
  * add debian patches
    - doc_sphinx6_PR2149.patch applies upstream PR#2149 to
      fix doc build with latest sphinx. Closes: #1042704.
    - python3.12_no_cython_support.patch skips cython runtime usage
      on Python >= 3.12, which causes QobjEvo jobs to fail
      (see upstream Issue#2293). Skip test_brmesolve_td.py tests
      test_time_dependent_spline_in_c_ops and
      test_split_operators_maintain_answer when cython support is not
      available (even if cython is installed)
  * clean generated cpp and doc files. Closes: #1047093.

 -- Drew Parsons <dparsons@debian.org>  Tue, 16 Jan 2024 03:57:55 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  python3-all,
  python3-all-dev,
  python3-setuptools,
- cython3 (>= 0.29.20~),
+ cython3-legacy (>= 0.29.36~),
  python3-cvxopt,
  python3-matplotlib (>= 1.2.1~),
  python3-numpy (>= 1.16.6~),

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,10 @@
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
+execute_after_dh_clean:
+	rm -f doc/expect.dat
+	rm -rf doc/gallery/build
+
 execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep:
@@ -55,7 +59,7 @@
 # setup.py clean creates build files instead of removing them
 # https://github.com/qutip/qutip/issues/986
 execute_after_dh_auto_clean:
-	rm -f qutip/control/*cpp qutip/cy/*.cpp qutip/version.py
+	rm -f qutip/control/*cpp qutip/cy/*.cpp qutip/cy/openmp/*.cpp qutip/version.py
 
 execute_after_dh_python3:
 	dh_numpy3

=== debian/tests/control ===
Tests: test-qutip
Depends: python3-all-dev,
	 python3-qutip,
	 python3-pytest,
	 python3-ipython,
	 python3-matplotlib,
	 python3-numpy,
	 python3-scipy,
	 cython3-legacy

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qutip-$1.tar.gz%" \
   https://github.com/qutip/qutip/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## qutip 5.0.3

=== doc/requirements.txt ===
alabaster==0.7.13
Babel==2.12.1
backcall==0.2.0
certifi==2023.7.22
chardet==4.0.0
cycler==0.10.0
Cython==3.0.8
decorator==5.1.1
docutils==0.18.1
idna==3.7
imagesize==1.4.1
ipython==8.11.0
jedi==0.18.2
Jinja2==3.1.4
kiwisolver==1.4.4
MarkupSafe==2.1.2
matplotlib==3.7.1
numpy==1.24.2
numpydoc==1.5.0
packaging==23.0
parso==0.8.3
pexpect==4.8.0
pickleshare==0.7.5
Pillow==10.3.0
prompt-toolkit==3.0.38
ptyprocess==0.7.0
Pygments==2.15.0
pyparsing==3.0.9
python-dateutil==2.8.2
pytz==2023.3
requests==2.32.0
scipy==1.11.4
six==1.16.0
snowballstemmer==2.2.0
Sphinx==6.1.3
sphinx-gallery==0.12.2
sphinx-rtd-theme==1.2.1
sphinxcontrib-applehelp==1.0.3
sphinxcontrib-bibtex==2.5.0
sphinxcontrib-devhelp==1.0.2
sphinxcontrib-htmlhelp==2.0.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==1.0.3
sphinxcontrib-serializinghtml==1.1.5
traitlets==5.9.0
urllib3==1.26.19
wcwidth==0.2.6
wheel==0.38.4

=== debian/changelog ===
qutip (5.0.3-1build2) plucky; urgency=medium

  * No-change rebuild against python3-numpy2-abi0

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 29 Jan 2025 22:39:19 +0000

qutip (5.0.3-1build1) plucky; urgency=medium

  * No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Nov 2024 19:30:07 +0100

qutip (5.0.3-1) unstable; urgency=medium

  * New upstream release.
    - drops qip (remove qip/circuit_latex.py from debian/copyright)
    - drops --with-openmp build option (see PR#1850)
    - applies debian patch doc_sphinx6_PR2149.patch
    - drop debian patch fix_exception.patch
  * update Build-Depends: cython3,
    python3-numpy (>= 1.22~),
    python3-scipy (>=1.9~),
    python3-packaging,
    python3-sphinx,
    python3-wheel
  * remove generated *.cpp files after dh_clean
    (and don't remove cpp files provided in upstream source)
  * update list of installed header files to remove executable bit
  * run tests with pytest
    - skip flaky test_simdiag

 -- Drew Parsons <dparsons@debian.org>  Sun, 07 Jul 2024 14:15:01 +0200

## qutip 5.1.1

=== requirements.txt ===
cython>=0.29.20
numpy>=1.22
scipy>=1.8
packaging

=== doc/requirements.txt ===
alabaster==0.7.16
Babel==2.14.0
backcall==0.2.0
certifi==2024.8.30
chardet==5.2.0
cycler==0.12.1
Cython==3.0.11
decorator==5.1.1
docutils==0.20.1
filelock==3.15.4
idna==3.8
imagesize==1.4.1
ipython==8.11.0
jedi==0.18.2
Jinja2==3.1.5
kiwisolver==1.4.4
MarkupSafe==2.1.2
matplotlib==3.7.1
numpy==1.26.4
numpydoc==1.8.0
packaging==24.1
parso==0.8.4
pexpect==4.9.0
pickleshare==0.7.5
Pillow==10.3.0
prompt-toolkit==3.0.47
ptyprocess==0.7.0
Pygments==2.18.0
pyparsing==3.1.4
python-dateutil==2.9.0.post0
pytz==2024.1
requests==2.32.2
scipy==1.14.1
setuptools==73.0.1
six==1.16.0
snowballstemmer==2.2.0
Sphinx==7.4.7
sphinx-rtd-theme==2.0.0
sphinxcontrib-applehelp==2.0.0
sphinxcontrib-bibtex==2.6.2
sphinxcontrib-devhelp==2.0.0
sphinxcontrib-htmlhelp==2.1.0
sphinxcontrib-jquery==4.1
sphinxcontrib-jsmath==1.0.1
sphinxcontrib-qthelp==2.0.0
sphinxcontrib-serializinghtml==1.1.10
traitlets==5.14.3
urllib3==2.2.2
wcwidth==0.2.13
wheel==0.44.0

=== debian/changelog ===
qutip (5.1.1-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 20 Oct 2025 14:59:58 +0000

qutip (5.1.1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Feb 2025 11:37:39 +0100

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
  python3-all,
  python3-all-dev,
  python3-setuptools,
- cython3-legacy (>= 0.29.36~),
+ cython3,
  python3-cvxopt,
  python3-matplotlib (>= 1.2.1~),
- python3-numpy (>= 1.16.6~),
- python3-scipy (>=1.0),
+ python3-numpy (>= 1.22~),
+ python3-scipy (>=1.9~),
  python3-nose2,
  python3-ipython <!nocheck>,
+ python3-packaging,
  python3-pytest (>= 5.2~),
- python3-sphinx
+ python3-sphinx,
+ python3-wheel
 Build-Depends-Indep: libjs-mathjax,
  python3-ipython,
  python3-numpydoc,

## qutip 5.2.1

=== doc/requirements.txt ===
--- 
+++ 
@@ -12,10 +12,11 @@
 imagesize==1.4.1
 ipython==8.11.0
 jedi==0.18.2
-Jinja2==3.1.5
+Jinja2==3.1.6
 kiwisolver==1.4.4
 MarkupSafe==2.1.2
 matplotlib==3.7.1
+mpmath==1.3.0
 numpy==1.26.4
 numpydoc==1.8.0
 packaging==24.1
@@ -29,9 +30,9 @@
 pyparsing==3.1.4
 python-dateutil==2.9.0.post0
 pytz==2024.1
-requests==2.32.2
+requests==2.32.4
 scipy==1.14.1
-setuptools==73.0.1
+setuptools==78.1.1
 six==1.16.0
 snowballstemmer==2.2.0
 Sphinx==7.4.7
@@ -45,6 +46,6 @@
 sphinxcontrib-qthelp==2.0.0
 sphinxcontrib-serializinghtml==1.1.10
 traitlets==5.14.3
-urllib3==2.2.2
+urllib3==2.5.0
 wcwidth==0.2.13
 wheel==0.44.0

=== debian/changelog ===
qutip (5.2.1-4) unstable; urgency=medium

  * debian patch fix_tests_PR2753.patch applies upstream PR#2753
    to fix tests (updating tolerances)

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 Oct 2025 11:51:04 +0200

qutip (5.2.1-3) unstable; urgency=medium

  * debian patch test_prony_BLAS_PR2759.patch fixes prony environment
    tests to pass with generic (netlib) BLAS. Closes: #1118028.

 -- Drew Parsons <dparsons@debian.org>  Wed, 15 Oct 2025 13:12:40 +0200

qutip (5.2.1-2) unstable; urgency=medium

  * skip test_fixed_prony_fit (core/test_environment.py) in build tests
    (fails in temporary build time environment, passes at runtime)
  * report qutip.about() with tests. If we need to report issues
    upstream, they will want to know the environment.
  * stop ignoring test errors at build time (drop || /bin/true)
  * run debian/tests on all architectures not only amd64.
    Run tests from $AUTOPKGTEST_TMP since `import qutip`
    fails from source dir (tries to access module from source).

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Oct 2025 23:21:31 +0200

qutip (5.2.1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: python3-numpy-dev (for dh_numpy3)
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Sun, 12 Oct 2025 10:16:49 +0200

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
  python3-cvxopt,
  python3-matplotlib (>= 1.2.1~),
  python3-numpy (>= 1.22~),
+ python3-numpy-dev,
  python3-scipy (>=1.9~),
  python3-nose2,
  python3-ipython <!nocheck>,
@@ -26,7 +27,7 @@
  python3-sphinx-gallery,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.bibtex
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: http://qutip.org/
 Vcs-Browser: https://salsa.debian.org/science-team/qutip
 Vcs-Git: https://salsa.debian.org/science-team/qutip.git

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,6 @@
 #export DH_VERBOSE = 1
 
 export PYBUILD_NAME=qutip
-
-export PYBUILD_BUILD_ARGS=--config-setting="--build-option=--with-openmp"
 
 PY3VER_DEFAULT=$(shell py3versions -d -v)
 
@@ -32,6 +30,7 @@
 execute_after_dh_clean:
 	rm -f doc/expect.dat
 	rm -rf doc/gallery/build
+	find . -name *cpp ! -name zspmv_openmp.cpp ! -name matmul_*_vector.cpp -delete
 
 execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
 execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
@@ -51,9 +50,13 @@
 	  testdir=$${builddir}-test; \
 	  cp -ra $$builddir $$testdir; \
 	  cd $$testdir; \
-	  HOME=$(CURDIR)/.pybuild PYTHONPATH=$$testdir python$$PY3 -c "import qutip.testing; qutip.testing.run(pytest_options=[['-k', 'not test_qubit[power-gmres]']])"; \
+	  echo "Your Environment: qutip.about() for python$$PY3"; \
+	  PYTHONPATH=$$testdir python$$PY3 -c "import qutip; qutip.about()"; \
+	  echo "==============================="; \
+	  HOME=$(CURDIR)/.pybuild PYTHONPATH=$$testdir \
+	    python$$PY3 -mpytest qutip/tests -k "not (test_simdiag or test_fixed_prony_fit)"; \
 	  cd $(CURDIR); \
-	done || /bin/true; \
+	done; \
 	fi
 
 # setup.py clean creates build files instead of removing them
@@ -65,6 +68,6 @@
 	dh_numpy3
 
 execute_after_dh_fixperms-arch:
-	for f in openmp/benchmark.pyx openmp/src/zspmv_openmp.hpp src/zspmv.hpp; do \
-	  chmod a-x debian/python3-qutip/usr/lib/python3/dist-packages/qutip/cy/$$f; \
+	for f in  cy/openmp/src/zspmv_openmp.hpp  data/src/matmul_csr_vector.hpp; do \
+	  chmod a-x debian/python3-qutip/usr/lib/python3/dist-packages/qutip/core/$$f; \
 	done

=== debian/tests/control ===
--- 
+++ 
@@ -6,4 +6,4 @@
 	 python3-matplotlib,
 	 python3-numpy,
 	 python3-scipy,
-	 cython3-legacy
+	 cython3

## qutip 5.2.3

=== doc/requirements.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Cython==3.0.11
 decorator==5.1.1
 docutils==0.20.1
-filelock==3.15.4
+filelock==3.20.3
 idna==3.8
 imagesize==1.4.1
 ipython==8.11.0
@@ -19,7 +19,7 @@
 mpmath==1.3.0
 numpy==1.26.4
 numpydoc==1.8.0
-packaging==24.1
+packaging==24.2
 parso==0.8.4
 pexpect==4.9.0
 pickleshare==0.7.5
@@ -46,6 +46,6 @@
 sphinxcontrib-qthelp==2.0.0
 sphinxcontrib-serializinghtml==1.1.10
 traitlets==5.14.3
-urllib3==2.5.0
+urllib3==2.6.3
 wcwidth==0.2.13
-wheel==0.44.0
+wheel==0.46.2

=== debian/changelog ===
qutip (5.2.3-1) unstable; urgency=medium

  * New upstream release
    - applies debian patches fix_tests_PR2753.patch and
      test_prony_BLAS_PR2759.patch
    - Recommends: python3-mpmath, python3-tqdm
  * use optional dependencies via Recommends: ipython3,
    python3-filelock,
    python3-mpi4py,
    python3-mpmath,
    python3-setuptools,
    python3-tqdm
  * update debian/watch to v5 GitHub template.
    Add Uversion-Mangle for alpha/beta releases.
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Tue, 24 Feb 2026 17:09:01 +0100

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,13 @@
  python3-setuptools,
  cython3,
  python3-cvxopt,
+ python3-filelock,
  python3-matplotlib (>= 1.2.1~),
+ python3-mpmath,
  python3-numpy (>= 1.22~),
  python3-numpy-dev,
  python3-scipy (>=1.9~),
+ python3-tqdm,
  python3-nose2,
  python3-ipython <!nocheck>,
  python3-packaging,
@@ -27,7 +30,7 @@
  python3-sphinx-gallery,
  python3-sphinx-rtd-theme,
  python3-sphinxcontrib.bibtex
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: http://qutip.org/
 Vcs-Browser: https://salsa.debian.org/science-team/qutip
 Vcs-Git: https://salsa.debian.org/science-team/qutip.git
@@ -36,6 +39,12 @@
 Architecture: any
 Depends: g++, python3-dev, python3-matplotlib, ${python3:Depends},
  ${misc:Depends}, ${shlibs:Depends}
+Recommends: ipython3,
+ python3-filelock,
+ python3-mpi4py,
+ python3-mpmath,
+ python3-setuptools,
+ python3-tqdm
 Suggests: python-qutip-doc
 Description: python package for simulating the dynamics of open quantum systems
  QuTiP is open-source software for simulating the dynamics of open
@@ -52,6 +61,7 @@
 
 Package: python-qutip-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: libjs-mathjax, ${sphinxdoc:Depends},
  ${python3:Depends}, ${misc:Depends}
 Recommends: python3-qutip

=== debian/tests/control ===
--- 
+++ 
@@ -6,4 +6,9 @@
 	 python3-matplotlib,
 	 python3-numpy,
 	 python3-scipy,
+	 python3-filelock,
+	 python3-mpi4py,
+	 python3-mpmath,
+	 python3-setuptools,
+	 python3-tqdm,
 	 cython3

=== debian/watch ===
Version: 5

Template: GitHub
Owner: qutip
Project: qutip
Uversion-Mangle: s/\d\K[_.+-]?((?i)dev|pre|a|alpha|b|beta|rc)[.-]?/~$1/
